import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetSemiInStreamParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();

export const contextState: OriginalListParams<GetSemiInStreamParams> = {
  wllbCode: '',
  materialName: '',
  userName: '',
  wbs: '',
  producBatch: '',
  startTime: '',
  endTime: '',
  storageCode: '',
  realName: '',
  productionCode: '',
  companyNumber: '',
};
export const context = createTableSearchContext(contextState);
